Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Interface CreateDataCollectionController

All Known Implementing Classes:
  CreateDataCollectionDefaultController

public interface CreateDataCollectionController

Control process of creating data collection.

Version: 1.0

Field Summary
`final static int` | `CANCEL` Constant for cancel operation.
`final static int` | `OVERWRITE_ALL` Constant for enable overwrite all files.
`final static int` | `OVERWRITE_ONE` Constant for enable overwrite one file.
`final static int` | `REMOVE_ALL` Constant indicating that all old files should be removed.

Method Summary
`int` | `fileAlreadyExists(File file)` Control of creating data collection when file overwriting needed.
`FunctionJobControl` | `getJobControl()` Returns job control for process of collection creating.
`int` | `getLastAnswer()`
`void` | `setJobControl(FunctionJobControl jc)` Set job control for process of collection creating.

Field Detail

### CANCEL

    public final static int CANCEL

  Constant for cancel operation.

### OVERWRITE_ALL

    public final static int OVERWRITE_ALL

  Constant for enable overwrite all files.

### OVERWRITE_ONE

    public final static int OVERWRITE_ONE

  Constant for enable overwrite one file.

### REMOVE_ALL

    public final static int REMOVE_ALL

  Constant indicating that all old files should be removed.

Method Detail

### fileAlreadyExists

    public int fileAlreadyExists(File file)

  Control of creating data collection when file overwriting needed.
  Parameters:
    file - File which will be overwritten.
  Returns: Constant for control creating of data collection.
  See Also:
    CANCEL, OVERWRITE_ONE, OVERWRITE_ALL

### getJobControl

    public FunctionJobControl getJobControl()

  Returns job control for process of collection creating.
  Returns: Job control for process of collection creating.

### getLastAnswer

    public int getLastAnswer()

### setJobControl

    public void setJobControl(FunctionJobControl jc)

  Set job control for process of collection creating.
  Parameters:
    jc - Job control.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM